%define		dictname dalf
Summary:	Russian monolingual dictionary dalf for dictd
Summary(pl.UTF-8):	Słownik rosyjsko-rosyjski dalf dla dictd
Name:		dict-%{dictname}
Version:	1.0
Release:	5
License:	unknown
Group:		Applications/Dictionaries
Source0:	http://www.chat.ru/~muller_dic/dalf.gz
# Source0-md5:	395ca06b4e38399e1a91bf89d51ae289
Patch0:		%{dictname}.patch
URL:		http://www.chat.ru/~muller_dic/
BuildRequires:	dictfmt
BuildRequires:	dictzip
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{_sysconfdir}/dictd
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Russian monolingual dictionary for dictd encoded in koi8-r. Start
server with --locale ru_RU.KOI8-R option in order to use it.

%description -l pl.UTF-8
Słownik rosyjsko-rosyjski dla dictd kodowany w koi8-r. Uruchom serwer
z opcją --locale ru_RU.KOI8-R, żeby móc go używać.

%description -l ru.UTF-8
Словарь Даля, переработанный из CD источника "Библиотека в Кармане".

%prep
%setup -q -c -T
%{__gzip} -dc %{SOURCE0} > dalf
%patch0 -p0

%build
LC_ALL=ru_RU.KOI8-R perl -ne 'use locale; /^(.*?)[\.,;\?]*  (.*)\n/; $def=$2; $word=$1; $word=~s/[\?,]+ /|/g; print ":".lc($word).":\n$def\n"' < dalf | \
	dictfmt -j -u http://www.chat.ru/~muller_dic/ -s %{dictname} --locale ru_RU.KOI8-R --headword-separator \| %{dictname}
dictzip %{dictname}.dict

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# dalf russian monolingual dictionary
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf
mv %{dictname}.* $RPM_BUILD_ROOT%{_datadir}/dictd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q dictd restart

%postun
if [ "$1" = 0 ]; then
	%service -q dictd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dict-dalf.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 25cd90a
- release 5 (by relup.sh)

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b470b9
- release 4

* Mon Mar 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2986952
- rel 3 (use %service)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fbce6b7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dfdcbc7
- converted to UTF-8

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 18f92dc
- adapterized (sorted %verify flags)

* Sun Nov 23 2003 undefine <undefine@pld-linux.org> 708b726
- release 2 to rebuild with ac

* Mon Jun 16 2003 Paweł Gołaszewski <blues@pld-linux.org> 3f16642
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 9939714
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b4ab891
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Mar 22 2003 Tomasz Pala <gotar@pld-linux.org> f7a2357
- fixed mistake (I think...)

* Fri Mar 21 2003 Tomasz Pala <gotar@pld-linux.org> a8f718f
- more info in %desc

* Fri Mar 21 2003 Tomasz Pala <gotar@pld-linux.org> 0be7a20
- initial PLD release

* Fri Mar 21 2003 Tomasz Pala <gotar@pld-linux.org> 0332b0b
- separates terms from definistions

